-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local skynet = {}

skynet.sleep = function ()
    return
end

skynet.fork = function (cb)
    return cb
end

skynet.fork_once = function (cb)
    return cb
end

skynet.fork_loop = function (param, cb)
    return cb
end

local cb_map = {
    poll_timer = function()
    end,
    get_timer = function()
    end,
    new = function()
    end
}

skynet.timer = cb_map

skynet.register_protocol = function (cb)
    return cb
end

skynet.dispatch = function (cb)
    return cb
end

skynet.self = function()
    return 0
end

skynet.harbor = function(cb)
    return cb
end

skynet.timeout = function(_, cb, ...)
    cb(...)
end

return skynet